Upstream information

CVE-2020-15888 at MITRE

Description

Lua through 5.4.0 mishandles the interaction between stack resizes and garbage collection, leading to a heap-based buffer overflow, heap-based buffer over-read, or use-after-free.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 7.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:H
Attack Vector Network Local
Attack Complexity Low Low
Privileges Required None Low
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1174367 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
openSUSE Tumbleweed
  • liblua5_4-5 >= 5.4.3-4.2
  • liblua5_4-5-32bit >= 5.4.3-4.2
  • lua54 >= 5.4.3-4.2
  • lua54-devel >= 5.4.3-4.2
  • lua54-doc >= 5.4.3-4.2
Patchnames:
openSUSE Tumbleweed GA liblua5_4-5-32bit-5.4.3-4.2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 lua51 Not affected
SUSE Enterprise Storage 7.1 lua53 Not affected
SUSE Linux Enterprise Desktop 15 SP5 lua51 Not affected
SUSE Linux Enterprise Desktop 15 SP5 lua53 Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 lua Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 lua51 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 lua51 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 lua53 Not affected
SUSE Linux Enterprise Micro 5.1 lua53 Not affected
SUSE Linux Enterprise Micro 5.2 lua53 Not affected
SUSE Linux Enterprise Micro 5.3 lua53 Not affected
SUSE Linux Enterprise Micro 5.4 lua53 Not affected
SUSE Linux Enterprise Micro 5.5 lua53 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP5 lua51 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP5 lua53 Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP5 lua51 Not affected
SUSE Linux Enterprise Real Time 15 SP3 lua51 Not affected
SUSE Linux Enterprise Real Time 15 SP3 lua53 Not affected
SUSE Linux Enterprise Server 12 SP5 lua Not affected
SUSE Linux Enterprise Server 12 SP5 lua51 Not affected
SUSE Linux Enterprise Server 12-LTSS lua Not affected
SUSE Linux Enterprise Server 12-LTSS lua51 Not affected
SUSE Linux Enterprise Server 15 SP5 lua51 Not affected
SUSE Linux Enterprise Server 15 SP5 lua53 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 lua Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 lua51 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 lua51 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 lua53 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 lua51 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 lua53 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 lua Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 lua51 Not affected
SUSE Manager Proxy 4.3 lua51 Not affected
SUSE Manager Proxy 4.3 lua53 Not affected
SUSE Manager Retail Branch Server 4.3 lua51 Not affected
SUSE Manager Retail Branch Server 4.3 lua53 Not affected
SUSE Manager Server 4.3 lua51 Not affected
SUSE Manager Server 4.3 lua53 Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 lua51 Not affected
SUSE Linux Enterprise Desktop 15 SP4 lua53 Not affected
SUSE Linux Enterprise High Performance Computing 15 lua51 Not affected
SUSE Linux Enterprise High Performance Computing 15 lua53 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 lua51 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 lua53 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS lua51 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS lua53 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS lua51 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS lua53 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 lua51 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 lua53 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS lua51 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS lua53 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS lua51 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS lua53 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 lua51 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 lua53 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS lua51 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS lua53 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS lua51 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS lua53 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 lua51 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 lua53 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS lua51 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS lua53 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS lua51 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS lua53 Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS lua51 Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS lua53 Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS lua51 Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS lua53 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 lua51 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 lua53 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 lua51 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 lua53 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 lua51 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 lua53 Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 lua51 Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 lua51 Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 lua51 Not affected
SUSE Linux Enterprise Server 12 SP2-BCL lua Not affected
SUSE Linux Enterprise Server 12 SP2-BCL lua51 Not affected
SUSE Linux Enterprise Server 15 SP2 lua51 Not affected
SUSE Linux Enterprise Server 15 SP2 lua53 Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS lua51 Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS lua53 Not affected
SUSE Linux Enterprise Server 15 SP3 lua51 Not affected
SUSE Linux Enterprise Server 15 SP3 lua53 Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS lua51 Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS lua53 Not affected
SUSE Linux Enterprise Server 15 SP4 lua51 Not affected
SUSE Linux Enterprise Server 15 SP4 lua53 Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS lua51 Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS lua53 Not affected
SUSE Linux Enterprise Server 15-ESPOS lua51 Not affected
SUSE Linux Enterprise Server 15-ESPOS lua53 Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 lua51 Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 lua53 Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 lua51 Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 lua53 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 lua51 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 lua53 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 lua51 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 lua53 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 lua51 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 lua53 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 lua51 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 lua53 Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 lua Not affected
HPE Helion OpenStack 8 lua51 Not affected
Magnum Orchestration 7 lua51 Not affected
SLES for SAP Applications 11 SP2 lua Unsupported
SLES for SAP Applications 11 SP3 lua Unsupported
SUSE CaaS Platform 3.0 lua51 Not affected
SUSE CaaS Platform 4.0 lua51 Not affected
SUSE CaaS Platform 4.0 lua53 Not affected
SUSE CaaS Platform 4.5 lua51 Not affected
SUSE CaaS Platform 4.5 lua53 Not affected
SUSE Container as a Service Platform 1.0 lua51 Not affected
SUSE Container as a Service Platform 2.0 lua51 Not affected
SUSE Enterprise Storage 6 lua51 Not affected
SUSE Enterprise Storage 6 lua53 Not affected
SUSE Enterprise Storage 7 lua51 Not affected
SUSE Enterprise Storage 7 lua53 Not affected
SUSE Linux Enterprise Desktop 11 lua Unsupported
SUSE Linux Enterprise Desktop 11 SP1 lua Unsupported
SUSE Linux Enterprise Desktop 11 SP2 lua Unsupported
SUSE Linux Enterprise Desktop 11 SP3 lua Unsupported
SUSE Linux Enterprise Desktop 11 SP4 lua Unsupported
SUSE Linux Enterprise Desktop 12 lua Not affected
SUSE Linux Enterprise Desktop 12 lua51 Not affected
SUSE Linux Enterprise Desktop 12 SP1 lua Not affected
SUSE Linux Enterprise Desktop 12 SP1 lua51 Not affected
SUSE Linux Enterprise Desktop 12 SP2 lua Not affected
SUSE Linux Enterprise Desktop 12 SP2 lua51 Not affected
SUSE Linux Enterprise Desktop 12 SP3 lua Not affected
SUSE Linux Enterprise Desktop 12 SP3 lua51 Not affected
SUSE Linux Enterprise Desktop 12 SP4 lua Not affected
SUSE Linux Enterprise Desktop 12 SP4 lua51 Not affected
SUSE Linux Enterprise Desktop 15 lua51 Not affected
SUSE Linux Enterprise Desktop 15 lua53 Not affected
SUSE Linux Enterprise Desktop 15 SP1 lua51 Not affected
SUSE Linux Enterprise Desktop 15 SP1 lua53 Not affected
SUSE Linux Enterprise Desktop 15 SP2 lua51 Not affected
SUSE Linux Enterprise Desktop 15 SP2 lua53 Not affected
SUSE Linux Enterprise Desktop 15 SP3 lua51 Not affected
SUSE Linux Enterprise Desktop 15 SP3 lua53 Not affected
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search lua Unsupported
SUSE Linux Enterprise High Performance Computing 12 SP2 lua Unsupported
SUSE Linux Enterprise High Performance Computing 12 SP2 lua51 Unsupported
SUSE Linux Enterprise High Performance Computing 12 SP3 lua Not affected
SUSE Linux Enterprise High Performance Computing 12 SP3 lua51 Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 lua Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 lua51 Not affected
SUSE Linux Enterprise Micro 5.0 lua53 Not affected
SUSE Linux Enterprise Module for Basesystem 15 lua51 Not affected
SUSE Linux Enterprise Module for Basesystem 15 lua53 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 lua51 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 lua53 Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 lua51 Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 lua51 Not affected
SUSE Linux Enterprise Real Time 15 SP2 lua51 Not affected
SUSE Linux Enterprise Real Time 15 SP2 lua53 Not affected
SUSE Linux Enterprise Real Time 15 SP4 lua51 Not affected
SUSE Linux Enterprise Real Time 15 SP4 lua53 Not affected
SUSE Linux Enterprise Server 11 lua Unsupported
SUSE Linux Enterprise Server 11 SP1 lua Unsupported
SUSE Linux Enterprise Server 11 SP1 LTSS lua Unsupported
SUSE Linux Enterprise Server 11 SP2 lua Unsupported
SUSE Linux Enterprise Server 11 SP2 LTSS lua Unsupported
SUSE Linux Enterprise Server 11 SP3 lua Unsupported
SUSE Linux Enterprise Server 11 SP3 LTSS lua Unsupported
SUSE Linux Enterprise Server 11 SP3-LTSS lua Affected
SUSE Linux Enterprise Server 11 SP4 lua Unsupported
SUSE Linux Enterprise Server 11 SP4 LTSS lua Affected
SUSE Linux Enterprise Server 11 SP4-LTSS lua Unsupported
SUSE Linux Enterprise Server 12 lua Not affected
SUSE Linux Enterprise Server 12 lua51 Not affected
SUSE Linux Enterprise Server 12 SP1 lua Not affected
SUSE Linux Enterprise Server 12 SP1 lua51 Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS lua Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS lua51 Not affected
SUSE Linux Enterprise Server 12 SP2 lua Not affected
SUSE Linux Enterprise Server 12 SP2 lua51 Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS lua Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS lua51 Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS lua Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS lua51 Not affected
SUSE Linux Enterprise Server 12 SP3 lua Not affected
SUSE Linux Enterprise Server 12 SP3 lua51 Not affected
SUSE Linux Enterprise Server 12 SP3-BCL lua Not affected
SUSE Linux Enterprise Server 12 SP3-BCL lua51 Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS lua Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS lua51 Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS lua Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS lua51 Not affected
SUSE Linux Enterprise Server 12 SP4 lua Not affected
SUSE Linux Enterprise Server 12 SP4 lua51 Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS lua Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS lua51 Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS lua Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS lua51 Not affected
SUSE Linux Enterprise Server 15 lua51 Not affected
SUSE Linux Enterprise Server 15 lua53 Not affected
SUSE Linux Enterprise Server 15 SP1 lua51 Not affected
SUSE Linux Enterprise Server 15 SP1 lua53 Not affected
SUSE Linux Enterprise Server 15 SP1-BCL lua51 Not affected
SUSE Linux Enterprise Server 15 SP1-BCL lua53 Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS lua51 Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS lua53 Not affected
SUSE Linux Enterprise Server 15 SP2-BCL lua51 Not affected
SUSE Linux Enterprise Server 15 SP2-BCL lua53 Not affected
SUSE Linux Enterprise Server 15 SP3-BCL lua51 Not affected
SUSE Linux Enterprise Server 15 SP3-BCL lua53 Not affected
SUSE Linux Enterprise Server 15-LTSS lua51 Not affected
SUSE Linux Enterprise Server 15-LTSS lua53 Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 lua Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 lua51 Not affected
SUSE Linux Enterprise Server for SAP Applications 11 lua Unsupported
SUSE Linux Enterprise Server for SAP Applications 11 SP1 lua Unsupported
SUSE Linux Enterprise Server for SAP Applications 11 SP2 lua Unsupported
SUSE Linux Enterprise Server for SAP Applications 11 SP3 lua Unsupported
SUSE Linux Enterprise Server for SAP Applications 11 SP4 lua Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 lua Not affected
SUSE Linux Enterprise Server for SAP Applications 12 lua51 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 lua Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 lua51 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 lua Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP2 lua51 Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 lua Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 lua51 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 lua Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 lua51 Not affected
SUSE Linux Enterprise Server for SAP Business All-in-One 11 SP1 lua Unsupported
SUSE Linux Enterprise Server for the Raspberry Pi 12 SP2 lua Not affected
SUSE Linux Enterprise Server for the Raspberry Pi 12 SP2 lua51 Not affected
SUSE Linux Enterprise Software Development Kit 11 lua Unsupported
SUSE Linux Enterprise Software Development Kit 11 SP1 lua Unsupported
SUSE Linux Enterprise Software Development Kit 11 SP2 lua Unsupported
SUSE Linux Enterprise Software Development Kit 11 SP3 lua Unsupported
SUSE Linux Enterprise Software Development Kit 11 SP4 lua Unsupported
SUSE Linux Enterprise Software Development Kit 12 lua Not affected
SUSE Linux Enterprise Software Development Kit 12 lua51 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 lua Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 lua51 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 lua Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 lua51 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 lua Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 lua51 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 lua Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 lua51 Not affected
SUSE Manager Proxy 4.0 lua51 Not affected
SUSE Manager Proxy 4.0 lua53 Not affected
SUSE Manager Proxy 4.1 lua51 Not affected
SUSE Manager Proxy 4.1 lua53 Not affected
SUSE Manager Proxy 4.2 lua51 Not affected
SUSE Manager Proxy 4.2 lua53 Not affected
SUSE Manager Retail Branch Server 4.0 lua51 Not affected
SUSE Manager Retail Branch Server 4.0 lua53 Not affected
SUSE Manager Retail Branch Server 4.1 lua51 Not affected
SUSE Manager Retail Branch Server 4.1 lua53 Not affected
SUSE Manager Retail Branch Server 4.2 lua51 Not affected
SUSE Manager Retail Branch Server 4.2 lua53 Not affected
SUSE Manager Server 4.0 lua51 Not affected
SUSE Manager Server 4.0 lua53 Not affected
SUSE Manager Server 4.1 lua51 Not affected
SUSE Manager Server 4.1 lua53 Not affected
SUSE Manager Server 4.2 lua51 Not affected
SUSE Manager Server 4.2 lua53 Not affected
SUSE OpenStack Cloud 7 lua Not affected
SUSE OpenStack Cloud 7 lua51 Not affected
SUSE OpenStack Cloud 8 lua Not affected
SUSE OpenStack Cloud 8 lua51 Not affected
SUSE OpenStack Cloud 9 lua Not affected
SUSE OpenStack Cloud 9 lua51 Not affected
SUSE OpenStack Cloud Crowbar 8 lua Not affected
SUSE OpenStack Cloud Crowbar 8 lua51 Not affected
SUSE OpenStack Cloud Crowbar 9 lua Not affected
SUSE OpenStack Cloud Crowbar 9 lua51 Not affected


SUSE Timeline for this CVE

CVE page created: Wed Jul 22 04:15:09 2020
CVE page last modified: Thu Feb 22 17:13:58 2024